/*

					Logic Scope AVR

			Copyrights 2009,  Yoshi Hiroshi


*/

/*
------------------------------------------------------------
		Register Assignment
------------------------------------------------------------
*/


//----------------------------------------------------------
#define UART_DATA_REGISTER						UDR1
#define UART_TRL_STATUS_A						UCSR1A
#define 	UART_DATA_EMPTY_BIT					UDRE1
#define 	UART_2X_SPEED_BIT					U2X1
#define		UART_RECIEVE_COMPLETE_BIT			RXC1
#define UART_TRL_STATUS_B						UCSR1B
#define		UART_RECIEVER_ENABLE_BIT			RXEN1
#define		UART_TRANSMITTER_ENABLE_BIT			TXEN1
#define UART_TRL_STATUS_C						UCSR1C
#define		UART_CHARACTER_SIZE					_BV(UCSZ11) | _BV(UCSZ10)
//#define UART_BAUD_RATE_REGISTER					UBRR1
#define UART_BAUD_RATE_REGISTER_H				UBRR1H
#define UART_BAUD_RATE_REGISTER_L				UBRR1L
#define UART_TRANSMITTER_PORT_DIRECTION_SET		DDRD |= 0b00001000

//----------------------------------------------------------

/*
------------------------------------------------------------
		Function Definitions
------------------------------------------------------------
*/
#define UART_READ_WAIT_COMPLETION				1
#define UART_READ_RETURN_IMMIDIATE				0

void sendUART(unsigned char data);
unsigned char checkReceiveUART();
void inhibitReceiveUART(unsigned char flag);
unsigned char readUART(unsigned char flag);
unsigned char readUART_1();
void initUART();

